import { TryToTransformStringInNumber } from '../../../shared/decorators/class-transformer/try-to-transform-string-in-number.decorator';

export class SimpleFood {
  id: number;
  name: string;

  @TryToTransformStringInNumber()
  kcalPer100: number | string;

  constructor(partial: SimpleFood) {
    Object.assign(this, partial);
  }
}
